Index: tmp/org.txm.links.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -3,7 +3,7 @@
  org.txm.links.rcp.handlers
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Links RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.links.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -8,7 +8,7 @@
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Correspondence Analysis RCP
+Bundle-Name: %Bundle-Name.0
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.ca.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.groovy.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.groovy.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.groovy.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -5,7 +5,7 @@
  org.codehaus.groovy.eclipse.ui;bundle-version="2.9.1";visibility:=reexport
 Bundle-Vendor: Textometry.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Rcp
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-Activator: org.txm.groovy.rcp.Activator
 Bundle-SymbolicName: org.txm.groovy.rcp;singleton:=true
Index: tmp/org.txm.ahc.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ahc.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.ahc.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -8,7 +8,7 @@
  org.txm.ca.rcp
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: AHC RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.ahc.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.dictionary.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.dictionary.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.dictionary.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -19,7 +19,7 @@
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: org.txm.dictionary.rcp
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.dictionary.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.textsbalance.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.textsbalance.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.textsbalance.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -6,7 +6,7 @@
  cp.preferences
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Texts Balance RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.textsbalance.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -9,7 +9,7 @@
  org.txm.referencer.rcp.preferences
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Referencer RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.referencer.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.queryindex.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.queryindex.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.queryindex.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -20,7 +20,7 @@
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: org.txm.queryindex.rcp
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-Activator: queryindexrcp.Activator
 Bundle-SymbolicName: org.txm.queryindex.rcp;singleton:=true
Index: tmp/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -4,7 +4,7 @@
 Export-Package: org.txm.rcp.chartsengine.r.preferences
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: R Charts Engine RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.chartsengine.r.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.lexicaltable.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -7,7 +7,7 @@
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Lexical Table RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.lexicaltable.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.properties.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.properties.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.properties.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -3,7 +3,7 @@
  org.txm.properties.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Corpus Properties RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.properties.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -72,7 +72,7 @@
 Bundle-ClassPath: lib/dom4j-1.6.1.jar,lib/log4j-1.2.12.jar,lib/TigerSe
  arch.jar,.
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: org.txm.tigersearch.rcp
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-Activator: tigersearch4txm.Activator
 Bundle-SymbolicName: org.txm.tigersearch.rcp;singleton:=true
Index: tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.specificities.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -7,7 +7,7 @@
  es.rcp.messages,org.txm.specificities.rcp.preferences
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Specificities RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.specificities.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.oriflamms.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.oriflamms.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.oriflamms.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -4,7 +4,7 @@
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: org.txm.oriflamms.rcp
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-Activator: oriflamms.Activator
 Bundle-SymbolicName: org.txm.oriflamms.rcp;singleton:=true
Index: tmp/org.txm.para.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.para.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.para.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -6,7 +6,7 @@
  org.txm.para.rcp.messages
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Para RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.para.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.index.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.index.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.index.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -9,7 +9,7 @@
  org.txm.index.rcp.preferences
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Index RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.index.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -7,7 +7,7 @@
  es,org.txm.chartsengine.rcp.swt
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Charts Engine RCP Core
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.chartsengine.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.concordance.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.concordance.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.concordance.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -7,7 +7,7 @@
  rences,org.txm.concordance.rcp.widgets
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Concordances RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.concordance.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.annotation.kr.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.annotation.kr.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.annotation.kr.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -10,7 +10,7 @@
  org.txm.annotation.kr.rcp.views.knowledgerepositories
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: KR Annotation RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.annotation.kr.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -13,7 +13,7 @@
  org.txm.chartsengine.jfreechart.rcp.themes.highcharts.swing
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: JFreeChart Charts Engine RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.chartsengine.jfreechart.rcp;singleton:=tr
  ue
Index: tmp/org.txm.chartsengine.raster.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.raster.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.chartsengine.raster.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -4,7 +4,7 @@
  aster.rcp.swt
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Raster Image Charts Engine RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.chartsengine.raster.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.chartsengine.svgbatik.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -4,7 +4,7 @@
  .svgbatik.rcp.swing,org.txm.chartsengine.svgbatik.rcp.swt
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: SVG Batik Charts Engine RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.chartsengine.svgbatik.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.annotation.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.annotation.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.annotation.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -3,7 +3,7 @@
  org.txm.concordance.rcp;bundle-version="1.0.0";visibility:=reexport
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Annotation RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.annotation.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.analec.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.analec.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.analec.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -185,7 +185,7 @@
 Bundle-ActivationPolicy: lazy
 Bundle-ClassPath: .
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: org.txm.analec.rcp
+Bundle-Name: %Bundle-Name.0
 Bundle-ManifestVersion: 2
 Bundle-Activator: analecrcp.Activator
 Bundle-SymbolicName: org.txm.analec.rcp;singleton:=true
Index: tmp/org.txm.analec.rcp/.project
===================================================================
--- tmp/org.txm.analec.rcp/.project	(revision 972)
+++ tmp/org.txm.analec.rcp/.project	(revision 973)
@@ -26,4 +26,15 @@
 		<nature>org.eclipse.pde.PluginNature</nature>
 		<nature>org.eclipse.jdt.core.javanature</nature>
 	</natures>
+	<filteredResources>
+		<filter>
+			<id>1530798441143</id>
+			<name></name>
+			<type>6</type>
+			<matcher>
+				<id>org.eclipse.ui.ide.multiFilter</id>
+				<arguments>1.0-name-matches-false-false-*.properties</arguments>
+			</matcher>
+		</filter>
+	</filteredResources>
 </projectDescription>
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/CreteMissingPropertiesFiles.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/CreteMissingPropertiesFiles.groovy	(revision 0)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/CreteMissingPropertiesFiles.groovy	(revision 973)
@@ -0,0 +1,20 @@
+package org.txm.groovy.core
+
+File workspace = new File("/home/mdecorde/workspace047")
+def langs = ["fr", "ru"]
+for (File project : workspace.listFiles()) {
+	if (!project.isDirectory()) continue;
+	
+	File osgiinf = new File(project, "OSGI-INF/l10n")
+	if (!osgiinf.exists()) continue;
+	
+	println project.getName()
+	File defaultFile = new File(osgiinf, "bundle.properties")
+	
+	for (def lang : langs) {
+		File langFile = new File(osgiinf, "bundle_"+lang+".properties");
+		if (!langFile.exists()) {
+			langFile.createNewFile()
+		}
+	}
+}
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/ExternalizerUI.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/ExternalizerUI.groovy	(revision 972)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/ExternalizerUI.groovy	(revision 973)
@@ -21,7 +21,7 @@
 	ExternalizeUI() {
 		super(new FlowLayout());
 		File userDir = new File(System.getProperty("user.home"))
-		File srcDir = new File(userDir, "workspace43/org.txm.rcp/src/main/java")
+		File srcDir = new File(userDir, "workspace47/org.txm.rcp/src/main/java")
 		File propFile = new File(srcDir, "org/txm/rcp/messages.properties")
 		File messageFile = new File(srcDir, "org/txm/rcp/Messages.java")
 
Index: tmp/org.txm.edition.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.edition.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.edition.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -8,7 +8,7 @@
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: org.txm.edition.rcp
+Bundle-Name: %Bundle-Name.0
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.edition.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -5,7 +5,7 @@
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: WordCloud RCP
+Bundle-Name: %Bundle-Name.0
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.wordcloud.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.svn.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.svn.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.svn.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -12,7 +12,7 @@
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: org.txm.svn.rcp
+Bundle-Name: %Bundle-Name.0
 Bundle-ManifestVersion: 2
 Bundle-Activator: svnenvironement.Activator
 Bundle-SymbolicName: org.txm.svn.rcp;singleton:=true
Index: tmp/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF	(revision 972)
+++ tmp/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF	(revision 973)
@@ -7,7 +7,7 @@
  org.txm.cooccurrence.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Cooccurence RCP
+Bundle-Name: %Bundle-Name
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.cooccurrence.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
